> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# persint

> GenericMDOProvider reads MDO lists with default settings

## "persint" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'persint'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/persint
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("persint", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                  | StyleHint | ExtraInfo |
| -- | --------------------- | --------- | --------- |
| 3  | Administrativ kontakt |           |           |
| 4  | Beslutningstaker      |           |           |
| 7  | Prislister            |           |           |
| 6  | Produkt nyheter       |           |           |
| 1  | Referanse person      |           |           |
| 5  | Salgskontakt          |           |           |
| 2  | Teknisk kontakt       |           |           |

## Related MDO Lists

* "persintheadings"
* "persintheadingswithallitem"
* "persintheadingswithallitemwithnoselection"
* "persintheadingswithnoselection"
* "persintwithallitem"
* "persintwithallitemwithnoselection"
* "persintwithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserPreferenceStrings.MDOList.md)
- [PersInt table](/en/database/tables/persint.md)
- [PersIntHeadingLink table](/en/database/tables/persintheadinglink.md)
- [PersIntGroupLink table](/en/database/tables/persintgrouplink.md)
- [personinterest table](/en/database/tables/personinterest.md)
- [SuperOffice.WebApi.Data.ProjectEventEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.ProjectEventEntity.md)
